Cancel Last Cancel Subscription At Period End
This action should be request before subscription’s period end, If subscription’s flag ‘cancelAtPeriodEnd’ is enabled, this action will resume it to disable, and subscription will continue cycle recurring seems no cancelAtPeriod action be setting
Endpoint Overview
POSThttps://api.unibee.dev/merchant/subscription/cancel_last_cancel_at_period_end
This action should be request before subscription’s period end, If subscription’s flag ‘cancelAtPeriodEnd’ is enabled, this action will resume it to disable, and subscription will continue cycle recurring seems no cancelAtPeriod action be setting
Authorization
All UniBee Merchant API requests require authentication via API key.| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <your_api_key> |
Content-Type | Yes | application/json (for request body) |
Parameters
Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.Request body
| Name | Type | Required | Description |
|---|---|---|---|
productId | integer | No | default product will use if productId not specified and subscriptionId is blank |
subscriptionId | string | No | SubscriptionId, id of subscription, either SubscriptionId or UserId needed, The only one active subscription of userId will effect |
userId | integer | No | UserId, either SubscriptionId or UserId needed, The only one active subscription will effect if userId provide instead of subscriptionId |
Request examples
cURL
Sandbox
Response
Success responses return a JSON envelope withcode, data, message, redirect, and requestId. code 0 indicates success. The response schema for this endpoint is shown below.
Error handling
| HTTP status | Meaning |
|---|---|
| 400 | Bad request — invalid or missing parameters. Check message in the body. |
| 401 | Unauthorized — missing or invalid API key. |
| 404 | Not found — invalid path or resource. |
| 500 | Server error — retry with backoff. |
code in the response body is non-zero, check message for details. Use requestId when contacting support.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
This action should be request before subscription's period end, If subscription's flag 'cancelAtPeriodEnd' is enabled, this action will resume it to disable, and subscription will continue cycle recurring seems no cancelAtPeriod action be setting
default product will use if productId not specified and subscriptionId is blank
SubscriptionId, id of subscription, either SubscriptionId or UserId needed, The only one active subscription of userId will effect
UserId, either SubscriptionId or UserId needed, The only one active subscription will effect if userId provide instead of subscriptionId

